from load_data import load_DBs
from plot_functions import plot_all

class Mydata:
    def __init__(self, load):
        if load:
            (self.dsatable, self.src2dsa, self.dsa2cve, self.cvetable, self.src2month, self.src2sloccount, self.src2pop, self.src2deps, self.pkg_with_cvss) = load_DBs()
        else:
            print('no load command given')

def main():
    data = Mydata(True)
    print('Done')
    i = plot_all(data.src2month, data.src2sloccount, data.pkg_with_cvss)

if __name__ == "__main__":
    main()
